﻿using Dalamud.Configuration;
using XivCommon.Functions;

namespace TextBoxStyler {
    public class PluginConfiguration : IPluginConfiguration {
        private Plugin Plugin { get; set; } = null!;

        public int Version { get; set; } = 1;

        public TalkStyle? Style { get; set; }
        public bool AffectCutscenes { get; set; }

        public BattleTalkStyle? BattleTalkStyle { get; set; }

        internal void Initialise(Plugin plugin) {
            this.Plugin = plugin;
        }

        internal void Save() {
            this.Plugin.Interface.SavePluginConfig(this);
        }
    }
}
