﻿using System;
using XivCommon.Functions;

namespace TextBoxStyler {
    public static class Naming {
        public static string Name(this TalkStyle style) => style switch {
            TalkStyle.Normal => "Normal",
            TalkStyle.Lights => "Lights",
            TalkStyle.Shout => "Shout",
            TalkStyle.FlatShout => "Flat shout",
            TalkStyle.Dragon => "Dragon",
            TalkStyle.Allagan => "Allagan",
            TalkStyle.System => "System",
            TalkStyle.DragonSystem => "Dragon system",
            TalkStyle.PurpleSystem => "Purple system",
            _ => throw new ArgumentOutOfRangeException(nameof(style), style, null),
        };

        public static string Name(this BattleTalkStyle style) => style switch {
            BattleTalkStyle.Normal => "Normal",
            BattleTalkStyle.Aetherial => "Aetherial",
            BattleTalkStyle.System => "System",
            BattleTalkStyle.Blue => "Blue/FFVII",
            _ => throw new ArgumentOutOfRangeException(nameof(style), style, null),
        };
    }
}
